<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla9test($idformato,$pdf)
{
    //echo "******************************** ", $idformato;
    $CI = &get_instance();
    $CI->load->database();
 //   $idformato = $post['idformato'];


 
    // $pdf = new Fpdi('P', 'mm', 'letter');
    // $pdf->setSourceFile('plantillas/Dependientes_7.pdf');

    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('9_bienes_inmuebles', $where, 1);
    $codigo_9 = $query->row();

    //View tipos Declarante  9. Bienes Inmuebles
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_declarante.nombre as nombre');
    $CI->db->from('9_bienes_inmuebles');
    $CI->db->join('tipos_declarante', '9_bienes_inmuebles.titular_inmueble=tipos_declarante.idtipo');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_declarante9 = $query->row();

    //View tipos Relacion  9.
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_relacion.nombre as nombre');
    $CI->db->from('9_bienes_inmuebles');
    $CI->db->join('tipos_relacion', '9_bienes_inmuebles.relacion_transmisor=tipos_relacion.idtipo_relacion');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_relacion9 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

    // $pdf->setSourceFile('plantillas/Bienes_9_In.pdf');
    // $pdf->AddPage();
    // $tplIdx = $pdf->importPage(1);
    // $pdf->useTemplate($tplIdx, 0, 0);
    if ($codigo_9->ninguno == '1') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 196.1, 25.9, 4, 4);
    }
    //SIN CAMBIO
    if ($codigo_9->ninguno == '2' && $codigo->tipo_formato !=1) {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 196, 18, 4, 4);
    }

    if ($codigo->tipo_formato == 3) {

        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(23);
        $pdf->SetX(15);
        $pdf->MultiCell(140, 8, utf8_decode('(SITUACIÓN ACTUAL)'), 0, '', true);
    }
    //AGREGO POR LO MENOS 1
    if ($codigo_9->ninguno == '0'
    ) {
        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(23);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 8, utf8_decode('NÚMERO # 1'), 0, 0, true);
    }  

    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetFillColor(0, 0, 0);
    $pdf->SetFont('Arial', 'B', 8);
    if ($codigo_9->mexico_extranjero == 'EN EL EXTRANJERO') {
        $pdf->Text(140, 164, 'CIUDAD/LOCALIDAD');
        $pdf->Text(38, 173, 'ESTADO/PROVINCIA');
        $pdf->Text(128, 173, utf8_decode('PAÍS'));
    } else {
        $pdf->Text(140, 164,
            'COLONIA/LOCALIDAD'
        );
        $pdf->Text(38, 173, utf8_decode('MUNICIPIO/ALCALDÍA'));
        $pdf->Text(115, 173, utf8_decode('ENTIDAD FEDERATIVA'));
    }
    $pdf->SetFont('Arial', '', 8);

    $pdf->SetY(57.5);
    $pdf->SetX(55);


    if ($codigo_9->ninguno != '1') {
    if ($view_declarante9 != null) {
       
        if($view_declarante9->nombre=='DECLARANTE'){


            if ($codigo_9->tipo_inmueble == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(61, 4, utf8_decode($codigo_9->tipo_inmueble_esp));
            } else {
                $pdf->Cell(61, 4, utf8_decode($codigo_9->tipo_inmueble));
            }
            $pdf->Ln(4);
            $pdf->SetX(55);

            $pdf->Cell(149, 4, utf8_decode($view_declarante9->nombre));

    $pdf->Ln(11.5);
    $pdf->SetX(13);
    $pdf->Cell(73, 4,utf8_decode($codigo_9->porcentaje_propiedad));
    $pdf->Cell(50, 4, utf8_decode($codigo_9->superficie_terreno));
    $pdf->Cell(61, 4, utf8_decode($codigo_9->superficie_construccion));
    $pdf->Ln(8);
    $pdf->SetX(13);
    $pdf->Cell(73, 4,utf8_decode($codigo_9->tercero));
    if($codigo_9->tercero=='PERSONA FÍSICA'){
        $pdf->Cell(117, 4, utf8_decode($codigo_9->nombre_tercero), 0, 0, '', true);
    }else{
       $pdf->Cell(111, 4, utf8_decode($codigo_9->nombre_tercero)); 
    }
    
    $pdf->Ln(9);
    $pdf->SetX(13);
    if ($codigo_9->tercero == 'PERSONA FÍSICA') {
        $pdf->Cell(73, 4, utf8_decode($codigo_9->rfc_tercero), 0, 0, '', true); 
    }else{
      $pdf->Cell(73, 4,utf8_decode($codigo_9->rfc_tercero));  
    }
    $pdf->Cell(50, 4, utf8_decode($codigo_9->forma_adquisicion));
    $pdf->Cell(61, 4, utf8_decode($codigo_9->forma_pago));
    $pdf->Ln(9);
    $pdf->SetX(13);
    $pdf->Cell(85, 4,utf8_decode($codigo_9->transmisor),1);

    if ($codigo_9->relacion_transmisor == '20') {
        $pdf->Cell(99, 4, utf8_decode($codigo_9->relacion_transmisor_esp));
    } else {
        if ($view_relacion9 != null) {

            if ($codigo_9->relacion_transmisor == '19') {
                $pdf->Cell(99, 4, utf8_decode($view_relacion9->nombre));
            } else {
                $pdf->Cell(105, 4, utf8_decode($view_relacion9->nombre), 0, 0, '', true);
            }
        }


        
    }
    
    $pdf->Ln(8.5);
    $pdf->SetX(13);

    if ($codigo_9->transmisor == 'PERSONA FÍSICA') {
        $pdf->Cell(105, 4, utf8_decode($codigo_9-> nombre_transmisor), 0, 0, '', true);
        $pdf->Cell(85, 4, utf8_decode($codigo_9->rfc_transmisor), 0, 0, '', true);
    }else{
       $pdf->Cell(105, 4, utf8_decode($codigo_9->nombre_transmisor));
        $pdf->Cell(85, 4, utf8_decode($codigo_9->rfc_transmisor)); 
    }

    
    
    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(73, 4,
        utf8_decode($codigo_9->valor_adquisicion)
    );
    $pdf->Cell(50, 4, utf8_decode($codigo_9->tipo_moneda));
    $pdf->Cell(61, 4, utf8_decode($codigo_9->fecha_adquisicion));
    $pdf->Ln(12.5);
    $pdf->SetX(13);
    $pdf->Cell(92, 4,utf8_decode($codigo_9->datos_registro), 0, 0, '', true);
    $pdf->Cell(92, 4, utf8_decode($codigo_9->adquisicion_conforme));

    $pdf->Ln(23.5);
    $pdf->SetX(108);
    $pdf->Cell(92, 4, utf8_decode($codigo_9->mexico_extranjero), 0, 0, '', true);
    $pdf->Ln(11.5);
    $pdf->SetX(13);
    $pdf->Cell(70, 4,utf8_decode($codigo_9->calle), 0, 0, '', true);
    $pdf->Cell(18, 4, utf8_decode($codigo_9-> numero_ext), 0, 0, '', true);
    $pdf->Cell(18, 4, utf8_decode($codigo_9-> numero_int), 0, 0, '', true);
    $pdf->Cell(84, 4, utf8_decode($codigo_9-> localidad), 0, 0, '', true);
    $pdf->Ln(9.5);
    $pdf->SetX(13);
    $pdf->Cell(70, 4,utf8_decode($codigo_9-> municipio_estado), 0, 0, '', true);
    $pdf->Cell(80, 4, utf8_decode($codigo_9-> entidad_pais), 0, 0, '', true);
    $pdf->Cell(40, 4, utf8_decode($codigo_9-> codigo_postal), 0, 0, '', true);
    $pdf->Ln(5);
    $pdf->SetX(90);
    if ($codigo_9->motivo_baja == 'OTRO / ESPECIFIQUE') {
        $pdf->Cell(105, 4, $codigo_9->motivo_baja_esp);
    } else {
        $pdf->Cell(105, 4, utf8_decode($codigo_9->motivo_baja));
    }
    $pdf->SetY(187);
    $pdf->SetX(13);
    $pdf->MultiCell(190, 3.5, utf8_decode($codigo_9-> aclaraciones), 0, '', true);



    //Si el propietario es la pareja o Declarante////////////////////--------------------------------------------------------------
        } else {
            //$pdf->Cell(148, 4, utf8_decode($view_declarante9->nombre), 0, 0, '', true);

            if ($codigo_9->tipo_inmueble == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(148, 4, utf8_decode($codigo_9->tipo_inmueble_esp), 0, 0, '', true);
            } else {
                $pdf->Cell(148, 4, utf8_decode($codigo_9->tipo_inmueble), 0, 0, '', true);
            }
            $pdf->Ln(4);
            $pdf->SetX(55);

            $pdf->Cell(148, 4, utf8_decode($view_declarante9->nombre), 0, 0, '', true);
            $pdf->Ln(11.5);
            $pdf->SetX(13);
            $pdf->Cell(73, 4, utf8_decode($codigo_9->porcentaje_propiedad), 0, 0, '', true);
            $pdf->Cell(50, 4, utf8_decode($codigo_9->superficie_terreno), 0, 0, '', true);
            $pdf->Cell(67, 4, utf8_decode($codigo_9->superficie_construccion), 0, 0, '', true);
            $pdf->Ln(8);
            $pdf->SetX(13);
            $pdf->Cell(73, 4, utf8_decode($codigo_9->tercero), 0, 0, '', true);
            if ($codigo_9->tercero == 'PERSONA FÍSICA') {
                $pdf->Cell(117, 4, utf8_decode($codigo_9->nombre_tercero), 0, 0, '', true);
            } else {
                $pdf->Cell(111, 4, utf8_decode($codigo_9->nombre_tercero), 0, 0, '', true);
            }

            $pdf->Ln(9);
            $pdf->SetX(13);
            if ($codigo_9->tercero == 'PERSONA FÍSICA') {
                $pdf->Cell(73, 4, utf8_decode($codigo_9->rfc_tercero), 0, 0, '', true);
            } else {
                $pdf->Cell(73, 4, utf8_decode($codigo_9->rfc_tercero), 0, 0, '', true);
            }
            $pdf->Cell(50, 4, utf8_decode($codigo_9->forma_adquisicion), 0, 0, '', true);
            $pdf->Cell(67, 4, utf8_decode($codigo_9->forma_pago), 0, 0, '', true);
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(85, 4, utf8_decode($codigo_9->transmisor), 0, 0, '', true);

            if ($codigo_9->relacion_transmisor == '20') {
                $pdf->Cell(99, 4, utf8_decode($codigo_9->relacion_transmisor_esp), 0, 0, '', true);
            } else {
                if ($view_relacion9 != null) {

                    if ($codigo_9->relacion_transmisor == '19') {
                        $pdf->Cell(99, 4, utf8_decode($view_relacion9->nombre), 0, 0, '', true);
                    } else {
                        $pdf->Cell(105, 4, utf8_decode($view_relacion9->nombre), 0, 0, '', true);
                    }
                }
            }

            $pdf->Ln(8.5);
            $pdf->SetX(13);

            //if ($codigo_9->transmisor == 'PERSONA FÍSICA') {
                $pdf->Cell(105, 4, utf8_decode($codigo_9->nombre_transmisor), 0, 0, '', true);
                $pdf->Cell(85, 4, utf8_decode($codigo_9->rfc_transmisor), 0, 0, '', true);
            // } else {
            //     $pdf->Cell(105, 4, utf8_decode($codigo_9->nombre_transmisor));
            //     $pdf->Cell(85, 4, utf8_decode($codigo_9->rfc_transmisor));
            // }



            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(73,4,utf8_decode($codigo_9->valor_adquisicion), 0, 0, '', true);
            $pdf->Cell(50, 4, utf8_decode($codigo_9->tipo_moneda), 0, 0, '', true);
            $pdf->Cell(67, 4, utf8_decode($codigo_9->fecha_adquisicion), 0, 0, '', true);
            $pdf->Ln(12.5);
            $pdf->SetX(13);
            $pdf->Cell(95, 4, utf8_decode($codigo_9->datos_registro), 0, 0, '', true);
            $pdf->Cell(95, 4, utf8_decode($codigo_9->adquisicion_conforme), 0, 0, '', true);

            $pdf->Ln(23.5);
            $pdf->SetX(108);
            $pdf->Cell(92, 4, utf8_decode($codigo_9->mexico_extranjero), 0, 0, '', true);
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(70, 4, utf8_decode($codigo_9->calle), 0, 0, '', true);
            $pdf->Cell(18, 4, utf8_decode($codigo_9->numero_ext), 0, 0, '', true);
            $pdf->Cell(18, 4, utf8_decode($codigo_9->numero_int), 0, 0, '', true);
            $pdf->Cell(84, 4, utf8_decode($codigo_9->localidad), 0, 0, '', true);
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(70, 4, utf8_decode($codigo_9->municipio_estado), 0, 0, '', true);
            $pdf->Cell(80, 4, utf8_decode($codigo_9->entidad_pais), 0, 0, '', true);
            $pdf->Cell(40, 4, utf8_decode($codigo_9->codigo_postal), 0, 0, '', true);
            $pdf->Ln(4.5);
            $pdf->SetX(90);
            if ($codigo_9->motivo_baja == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(110, 4, $codigo_9->motivo_baja_esp, 0, 0, '', true);
            } else {
                $pdf->Cell(110, 4, utf8_decode($codigo_9->motivo_baja), 0, 0, '', true);
            }
            $pdf->SetY(187);
            $pdf->SetX(13);
            $pdf->MultiCell(190, 3.5, utf8_decode($codigo_9->aclaraciones), 0, '', true);

        }
    }
    }


    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $y = 1;

    $where = array('idformato' => $idformato);
    $query7 = $CI->db->get_where('9_bienes_inmuebles_add', $where, 1);
    $codigo_9_add = $query7->row();
    $pdf->SetTextColor(0, 0, 0);


    $CI->db->select('*')->from('9_bienes_inmuebles_add')->where('idformato', $idformato)->where('activo', 1);
    $consulta = $CI->db->get()->result_array();
    $lenght = count($consulta) - 1;

    for ($x = 0; $x <= $lenght; $x++) {
        $datos = array(
            $id =  $consulta[$x]['idinmueble'],
            'idinmueble' => $consulta[$x]['idinmueble'],
            'tipo_inmueble' => $consulta[$x]['tipo_inmueble'],
            'tipo_inmueble_esp' => $consulta[$x]['tipo_inmueble_esp'],
            'titular_inmueble' => $consulta[$x]['titular_inmueble'],
            'porcentaje_propiedad' => $consulta[$x]['porcentaje_propiedad'],
            'superficie_terreno' => $consulta[$x]['superficie_terreno'],
            'superficie_construccion' => $consulta[$x]['superficie_construccion'],
            'tercero' => $consulta[$x]['tercero'],
            'nombre_tercero' => $consulta[$x]['nombre_tercero'],
            'rfc_tercero' => $consulta[$x]['rfc_tercero'],
            'forma_adquisicion' => $consulta[$x]['forma_adquisicion'],
            'forma_pago' => $consulta[$x]['forma_pago'],
            'transmisor' => $consulta[$x]['transmisor'],
            'nombre_transmisor' => $consulta[$x]['nombre_transmisor'],
            'rfc_transmisor' => $consulta[$x]['rfc_transmisor'],
            'relacion_transmisor' => $consulta[$x]['relacion_transmisor'],
            'relacion_transmisor_esp' => $consulta[$x]['relacion_transmisor_esp'],
            'valor_adquisicion' => $consulta[$x]['valor_adquisicion'],
            'tipo_moneda' => $consulta[$x]['tipo_moneda'],
            'fecha_adquisicion' => $consulta[$x]['fecha_adquisicion'],
            'datos_registro' => $consulta[$x]['datos_registro'],
            'adquisicion_conforme' => $consulta[$x]['adquisicion_conforme'],
            'calle' => $consulta[$x]['calle'],
            'numero_ext' => $consulta[$x]['numero_ext'],
            'numero_int' => $consulta[$x]['numero_int'],
            'localidad' => $consulta[$x]['localidad'],
            'codigo_postal' => $consulta[$x]['codigo_postal'],
            'municipio_estado' => $consulta[$x]['municipio_estado'],
            'entidad_pais' => $consulta[$x]['entidad_pais'],
            'mexico_extranjero' => $consulta[$x]['mexico_extranjero'],
            'motivo_baja' => $consulta[$x]['motivo_baja'],
            'motivo_baja_esp' => $consulta[$x]['motivo_baja_esp'],
            'aclaraciones' => $consulta[$x]['aclaraciones'],
        );


        //View tipos Declarante  9. Bienes Inmuebles
        $where = array('idformato' => $idformato, 'idinmueble' => $id);
        $CI->db->select('tipos_declarante.nombre as nombre');
        $CI->db->from('9_bienes_inmuebles_add');
        $CI->db->join('tipos_declarante', '9_bienes_inmuebles_add.titular_inmueble=tipos_declarante.idtipo');
        $CI->db->where($where);;
        $query = $CI->db->get();
        $view_declarante9 = $query->row();

        //View tipos Relacion  9.
        $where = array('idformato' => $idformato, 'idinmueble' => $id);
        $CI->db->select('tipos_relacion.nombre as nombre');
        $CI->db->from('9_bienes_inmuebles_add');
        $CI->db->join('tipos_relacion', '9_bienes_inmuebles_add.relacion_transmisor=tipos_relacion.idtipo_relacion');
        $CI->db->where($where);;
        $query = $CI->db->get();
        $view_relacion9 = $query->row();

        $y++;
        if ($codigo_9_add->idformato == $idformato) {
            $pdf->setSourceFile('plantillas/Bienes_9.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            $pdf->SetFont('Arial', 'B', 9);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(17);
            $pdf->SetX(175);
            $pdf->MultiCell(27, 6, utf8_decode('   '), 0, 0, true);
            $pdf->SetY(23);
            $pdf->SetX(175);
            $pdf->MultiCell(27, 8, utf8_decode('NÚMERO # ' . $y), 0, 0, true);

            $pdf->SetY(23);
            $pdf->SetX(13);
            $pdf->MultiCell(150, 8, ' ', 0, 0, true);
           // $pdf->MultiCell(20, 4, utf8_decode('id:----' . $datos["idinmueble"]), 1, 0, true);

            $pdf->SetFont('Arial', 'B', 8);
            $pdf->SetFillColor(0, 0, 0);
            $pdf->SetTextColor(0, 0, 0);
            if ($datos["mexico_extranjero"] == 'EN EL EXTRANJERO') {
                $pdf->Text(140, 164, 'CIUDAD/LOCALIDAD');
                $pdf->Text(38, 173, 'ESTADO/PROVINCIA');
                $pdf->Text(128, 173, utf8_decode('PAÍS'));
            } else {
                $pdf->Text(140,164, 'COLONIA/LOCALIDAD');
                $pdf->Text(38, 173, utf8_decode('MUNICIPIO/ALCALDÍA'));
                $pdf->Text(115, 173, utf8_decode('ENTIDAD FEDERATIVA'));
            }
            $pdf->SetFont('Arial', '', 8);
            $pdf->SetTextColor(0, 0, 0);
            $pdf->SetY(57.5);
            $pdf->SetX(55);
            
            
             if ($view_declarante9 != null) {

                if ($view_declarante9->nombre == 'DECLARANTE') {


            if ($datos["tipo_inmueble"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(61, 4, utf8_decode($datos["tipo_inmueble_esp"]));
            } else {
                $pdf->Cell(61, 4, utf8_decode($datos["tipo_inmueble"]));
            }
            $pdf->Ln(4);
            $pdf->SetX(55);


                    $pdf->Cell(92, 4, utf8_decode($view_declarante9->nombre));
                    $pdf->SetFont('Arial', '', 8);
                    $pdf->SetFillColor(0, 0, 0);
                    $pdf->SetTextColor(0, 0, 0);
            $pdf->Ln(11.5);
            $pdf->SetX(13);
            $pdf->Cell(73,4,utf8_decode($datos["porcentaje_propiedad"]));
            $pdf->Cell(50, 4, utf8_decode($datos["superficie_terreno"]));
            $pdf->Cell(61, 4, utf8_decode($datos["superficie_construccion"]));
            $pdf->Ln(7.5);
            $pdf->SetX(13);
            $pdf->Cell(73, 4, utf8_decode($datos["tercero"]));

           // $pdf->Cell(111, 4, utf8_decode($datos["nombre_tercero"]));


            if ($datos["tercero"] == 'PERSONA FÍSICA') {
                $pdf->Cell(117, 4, utf8_decode($datos["nombre_tercero"]), 0, 0, '', true);
                $pdf->Ln(9.5);
                $pdf->SetX(13);
                $pdf->Cell(73, 4, utf8_decode($datos["rfc_tercero"]), 0, 0, '', true);
            } else {
                $pdf->Cell(111, 4, utf8_decode($datos["nombre_tercero"]));
                $pdf->Ln(9.5);
                $pdf->SetX(13);
                $pdf->Cell(73, 4, utf8_decode($datos["rfc_tercero"]));
            }

            
            $pdf->Cell(50, 4, utf8_decode($datos["forma_adquisicion"]));
            $pdf->Cell(61, 4, utf8_decode($datos["forma_pago"]));
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(85,4,utf8_decode($datos["transmisor"]));
            if ($datos["relacion_transmisor"] == '20') {
                $pdf->Cell(99, 4, utf8_decode($datos["relacion_transmisor_esp"]));
            } else {
                if ($view_relacion9 != null) {
                    $pdf->Cell(105, 4, utf8_decode($view_relacion9->nombre), 0, 0, '', true);
                }
            }
            $pdf->Ln(8);
            $pdf->SetX(13);

         if ($datos["transmisor"] == 'PERSONA FÍSICA') {
                        $pdf->Cell(105, 4, utf8_decode($datos["nombre_transmisor"]), 0, 0, '', true);
                        $pdf->Cell(85, 4, utf8_decode($datos["rfc_transmisor"]), 0, 0, '', true);
         }else{
                        $pdf->Cell(105, 4, utf8_decode($datos["nombre_transmisor"]));
                        $pdf->Cell(85, 4, utf8_decode($datos["rfc_transmisor"]));
         }
            
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(73,4,utf8_decode($datos["valor_adquisicion"]));
            $pdf->Cell(50, 4, utf8_decode($datos["tipo_moneda"]));
            $pdf->Cell(61, 4, utf8_decode($datos["fecha_adquisicion"]));
            $pdf->Ln(13);
            $pdf->SetX(13);
            $pdf->Cell(92,4,utf8_decode($datos["datos_registro"]), 0, 0, '', true);
            $pdf->Cell(92, 4, utf8_decode($datos["adquisicion_conforme"]));
            $pdf->Ln(23.5);
            $pdf->SetX(108);
            $pdf->Cell(92, 4, utf8_decode($datos["mexico_extranjero"]), 0, 0, '', true);
            $pdf->Ln(11.5);
            $pdf->SetX(13);
            $pdf->Cell(70,4,utf8_decode($datos["calle"]), 0, 0, '', true);
            $pdf->Cell(18, 4, utf8_decode($datos["numero_ext"]), 0, 0, '', true);
            $pdf->Cell(18, 4, utf8_decode($datos["numero_int"]), 0, 0, '', true);
            $pdf->Cell(84, 4, utf8_decode($datos["localidad"]), 0, 0, '', true);
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(70,4,utf8_decode($datos["municipio_estado"]), 0, 0, '', true);
            $pdf->Cell(80, 4, utf8_decode($datos["entidad_pais"]), 0, 0, '', true);
            $pdf->Cell(40, 4, utf8_decode($datos["codigo_postal"]), 0, 0, '', true);
            $pdf->Ln(4.5);
            $pdf->SetX(90);
            if ($datos["motivo_baja"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(105, 4, utf8_decode($datos["motivo_baja_esp"]));
            } else {
                $pdf->Cell(105, 4, utf8_decode($datos["motivo_baja"]));
            }
            $pdf->SetY(187);
            $pdf->SetX(13);
            $pdf->MultiCell(190, 3.5, utf8_decode($datos["aclaraciones"]), 0, '', true);
     



//----Si el propietario no es el declarante-----------------
        } else {
            $pdf->SetFont('Arial', '', 8);
            $pdf->SetFillColor(0, 0, 0);
            $pdf->SetTextColor(0, 0, 0);



            if ($codigo_9->tipo_inmueble == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(148, 4, utf8_decode($codigo_9->tipo_inmueble_esp), 0, 0, '', true);
            } else {
                $pdf->Cell(148, 4, utf8_decode($codigo_9->tipo_inmueble), 0, 0, '', true);
            }
            $pdf->Ln(4);
            $pdf->SetX(55);
            $pdf->Cell(148, 4, utf8_decode($view_declarante9->nombre), 0, 0, '', true);

            $pdf->Ln(11.5);
            $pdf->SetX(13);
            $pdf->Cell(73, 4, utf8_decode($datos["porcentaje_propiedad"]), 0, 0, '', true);
            $pdf->Cell(50, 4, utf8_decode($datos["superficie_terreno"]), 0, 0, '', true);
            $pdf->Cell(67, 4, utf8_decode($datos["superficie_construccion"]), 0, 0, '', true);
            $pdf->Ln(7.5);
            $pdf->SetX(13);
            $pdf->Cell(73, 4, utf8_decode($datos["tercero"]), 0, 0, '', true);

            // $pdf->Cell(111, 4, utf8_decode($datos["nombre_tercero"]));


                $pdf->Cell(117, 4, utf8_decode($datos["nombre_tercero"]), 0, 0, '', true);
                $pdf->Ln(9.5);
                $pdf->SetX(13);
                $pdf->Cell(73, 4, utf8_decode($datos["rfc_tercero"]), 0, 0, '', true);



            $pdf->Cell(50, 4, utf8_decode($datos["forma_adquisicion"]), 0, 0, '', true);
            $pdf->Cell(67, 4, utf8_decode($datos["forma_pago"]), 0, 0, '', true);
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(85, 4, utf8_decode($datos["transmisor"]), 0, 0, '', true);
            if ($datos["relacion_transmisor"] == '20') {
                $pdf->Cell(99, 4, utf8_decode($datos["relacion_transmisor_esp"]), 0, 0, '', true);
            } else {
                if ($view_relacion9 != null) {
                    $pdf->Cell(105, 4, utf8_decode($view_relacion9->nombre), 0, 0, '', true);
                }
            }
            $pdf->Ln(8.5);
            $pdf->SetX(13);
            $pdf->Cell(105, 4, utf8_decode($datos["nombre_transmisor"]), 0, 0, '', true);
            $pdf->Cell(85, 4, utf8_decode($datos["rfc_transmisor"]), 0, 0, '', true);
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(73, 4, utf8_decode($datos["valor_adquisicion"]), 0, 0, '', true);
            $pdf->Cell(50, 4, utf8_decode($datos["tipo_moneda"]), 0, 0, '', true);
            $pdf->Cell(67, 4, utf8_decode($datos["fecha_adquisicion"]), 0, 0, '', true);
            $pdf->Ln(12.5);
            $pdf->SetX(13);
            $pdf->Cell(95, 4, utf8_decode($datos["datos_registro"]), 0, 0, '', true);
            $pdf->Cell(95, 4, utf8_decode($datos["adquisicion_conforme"]), 0, 0, '', true);
            $pdf->Ln(23.5);
            $pdf->SetX(108);
            $pdf->Cell(92, 4, utf8_decode($datos["mexico_extranjero"]), 0, 0, '', true);
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(70, 4, utf8_decode($datos["calle"]), 0, 0, '', true);
            $pdf->Cell(18, 4, utf8_decode($datos["numero_ext"]), 0, 0, '', true);
            $pdf->Cell(18, 4, utf8_decode($datos["numero_int"]), 0, 0, '', true);
            $pdf->Cell(84, 4, utf8_decode($datos["localidad"]), 0, 0, '', true);
            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(70, 4, utf8_decode($datos["municipio_estado"]), 0, 0, '', true);
            $pdf->Cell(80, 4, utf8_decode($datos["entidad_pais"]), 0, 0, '', true);
            $pdf->Cell(40, 4, utf8_decode($datos["codigo_postal"]), 0, 0, '', true);
            $pdf->Ln(4.5);
            $pdf->SetX(90);
            if ($datos["motivo_baja"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(110, 4, utf8_decode($datos["motivo_baja_esp"]), 0, 0, '', true);
            } else {
                $pdf->Cell(110, 4, utf8_decode($datos["motivo_baja"]), 0, 0, '', true);
            }
            $pdf->SetY(187);
            $pdf->SetX(13);
            $pdf->MultiCell(190, 3.5, utf8_decode($datos["aclaraciones"]), 0, '', true);
        }
    }

    //--Si el propietario no es el declarante - END



    }
}
}

